import { OperationResult } from "ayax-common-operation";
import { SearchResponse } from "ayax-common-types";
export declare class CacheHelper {
    static ToCache<T>(name: string, data: T[], cacheExpiresAfter: number): void;
    static TryFromCache<T>(fetchPromise: () => Promise<T[]>, cacheExpiresAfter: number, method: string, url: string, data?: any): Promise<T[]>;
    static TryOperationPromiseFromCache<T>(fetchPromise: () => Promise<OperationResult<T[]>>, cacheExpiresAfter: number, method: string, url: string, data?: any): Promise<T[]>;
    static TryOperationSearchResponseFromCache<T>(fetchPromise: () => Promise<OperationResult<SearchResponse<T[]>>>, cacheExpiresAfter: number, method: string, url: string, data?: any): Promise<T[]>;
    private static FormCacheName(url, data);
    private static StringifyData(data);
}
