import { IOperationService } from "ayax-common-operation";
import { SelectItem, IListItem } from "ayax-common-types";
import { ICacheService } from "../types/ICacheService";
export declare class CacheService implements ICacheService {
    private _operationService;
    private _cacheExpiresAfter;
    private _staticCache;
    constructor(operationService: IOperationService, cacheExpiresAfter?: number, staticCache?: {
        [name: string]: any[];
    });
    Get<T>(url: string): Promise<T[]>;
    Post<T>(url: string, data?: any): Promise<T[]>;
    List(dictionary: string, method?: string, disableSort?: boolean): Promise<IListItem[]>;
    ListAsDictionary(dictionary: string, method?: string, disableSort?: boolean): Promise<CacheDictionary>;
    ListAsSelectItems(dictionary: string, method?: string, disableSort?: boolean): Promise<SelectItem[]>;
    Search<T>(dictionary: string, data?: any, method?: string): Promise<T[]>;
    private Fetch<T>(method, url, data?);
}
export declare type CacheDictionary = {
    [index: string]: IListItem;
};
